FFS(3)

NAME
ffs - find first bit set in a word

SYNOPSIS
#include <string.h>

int ffs(int i);

DESCRIPTION
The ffs() function returns the position of the first bit set in the word i. The least significant bit is position 1 and the most significant position 32.

RETURN VALUE
The ffs() function returns the position of the first bit set, or NULL if no bits are set.

CONFORMING TO
BSD 4.3